The test report of QC 9.0 shows a lot of IE related warnings. I'm using IE6 now. I tried FireFox, but it didn't work and I didn't spend too much time on this issue because I think IE6 should be better supported by Mercury than FireFox.

Don't know whether you all have the same problems.